How to extrude curve tapered use python in grasshopper?

hello, i need your help!
this is my code in the picture, i use the extrude curve tapered in ghpy,however, it always has many small surface in the corner, but i use rhinocommand it is not. i needn’t these small surfaces, but i don’t know how to solve this problem. can you help me?extrude example.gh (10.5 KB)

strong textimport rhinoscriptsyntax as rs
import Rhino.Geometry as rg
import math
def draft(curve,distance,vector,angle,cornertype,tolerance,angletolerance):
if (angle==0):return
box=rs.BoundingBox(curve)
points=[box[0],box[6]]
line_point =rs.AddPolyline(points)
midpoint=rs.CurveMidPoint(line_point) #get the center point
angle=math.radians(angle)
h = math.cos(angle)*distance
if cornertype==0:
type=rg.ExtrudeCornerType.None
elif cornertype==1:
type=rg.ExtrudeCornerType.Sharp
elif cornertype==2:
type=rg.ExtrudeCornerType.Round
elif cornertype==3:
type=rg.ExtrudeCornerType.Smooth
elif cornertype==4:
type=rg.ExtrudeCornerType.Chamfer
else:
type=rg.ExtrudeCornerType.None
brep = rg.Brep.CreateFromTaperedExtrude(curve,h,vector,midpoint,angle,type,tolerance,angletolerance)
return brep
if (curve and vector):
brep=draft(curve,distance,vector,angle,cornertype,0.01,0.01)

This is my code

Why not people answer this problem, if it is too simple?????

for i in range(len(breps)):
    breps[i].Faces.SplitKinkyFaces()
    breps[i].MergeCoplanarFaces(tolerance)

TaperedExtrude.gh (9.7 KB)

1 Like

:+1::+1:very thank you! I will try it. Love you​:heart::heart: